你的位置:首页 > 操作系统

[操作系统]如何在eclipse使用StaggeredGridView


 

概述 

现在的开发工具基本都用AndroidStudio了。网上的开源框架也是。比如做瀑布式UI的StaggeredGridView,还有导航页的PagerSlidingTabStrip等。 

那么电脑性能不好的,还在用eclipse怎么使用这些开源框架呢?

步骤

准备工作

下载对应的框架如StaggeredGridView在https://github.com/maurycyw/StaggeredGridView。

解压完。需要的资源是在:StaggeredGridView-master\src\com\origamilabs\library\views下的三个java文件;

StaggeredGridView-master\res\values的attrs.

步骤:

 1.打开StaggeredGridView下的AndroidManifest.

 2. 如果你的工程res/values下没有attrs.

了这个文件,那么把其中的代码复制到你的attrs.

<declare-styleable name="StaggeredGridView">    <attr name="drawSelectorOnTop" format="boolean" />    <attr name="numColumns" format="integer" />    <attr name="itemMargin" format="dimension" />  </declare-styleable>

3.把准备那里的那个java文件复制到你的工程中(注意一点,这三个文件复制到和你的AndroidManifest.

接下来ScrollerCompat.java等三个文件都会提示错误。只要改包名为你的工程的就好了。 StaggeredGridView.java还有一个import com.origamilabs.library.R;的错误,直接把这个删除就好了。

4.最后就可以在布局文件中使用了。添加的时候也是要把包名带上。可以直接右键蓝色选中的文件,然后点击Copy Qualified name.完整名字就复制好了。

比如我的是

<com.Mihai.text.StaggeredGridView      android:id="@+id/stagger_view"      android:layout_width="match_parent"      android:layout_height="match_parent"      app:itemMargin="8dp"      app:numColumns="2"      >          </com.Mihai.text.StaggeredGridView>

 

后记

一开始学android,不要被框架这词迷惑了,只要把它所有相关代码复制到我们的工程就可以用了,包括配置文件,自定义属性等。当然会有错误,常见的就是包名还有xxx.R文件错误,只要导入自己的就可以了。还有的就是android.support.v4.jar包的错误,提示import xxx 错误。可能是版本不对因为v4支持包也是有不同版本的用最新的就好了。